.side-cart {
  height: calc(100vh - 57px);
  width: 400px;
  padding: 16px;
  position: fixed;
  z-index: 11;
  top: 57px;
  right: -400px;
  background: #f4f4f4;
  transition: right .5s
}

.side-cart::before {
  content: '';
  width: 100%;
  height: 1px;
  background: hsl(210, 11%, 80%);
  position: absolute;
  top: 75px;
  left: 0
}
  
.side-cart-head {
  margin-top: 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative
}

.side-cart h2 {
  font: 500 24px/1em Poppins;
  color: #212529;
  user-select: none;
}

.wrapper-filled {
  height: 70vh;
  display: flex;
  flex-direction: column
}

.side-cart button {
  width: 100%;
  height: 40px;
  background: #F2652D;
  border-radius: 5px;
  border: none;
  text-align: center;
  box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.25);
  margin: 40px 0 20px;
  padding: unset;
  flex-shrink: 0
}

.side-cart button a {
  width: 100%;
  height: 100%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font: 700 16px/1em Poppins;
  color: white
}

.side-cart button a:hover {
  color: white
}

.side-cart-body {
  border-radius: 10px;
  padding: 16px;
  max-height: 500px;
  overflow: auto;
  user-select: none
}

.side-cart .slip {
  display: flex;
  align-items: flex-start;
  justify-content: space-between
}

.side-cart .slip + .slip {
  margin-top: 1rem
}

.side-cart p {
  margin: 0
}

.side-cart-total {
  padding: 16px;
  border-radius: 10px;
  margin-top: 20px;
  user-select: none;
  flex-shrink: 0
}

.side-cart-total div {
  display: flex;
  align-items: center;
  justify-content: space-between
}

.side-cart-total div + div {
  margin-top: 16px
}

.side-cart-total .discount-row p {
  color: #58ba47
}

.side-cart-body, .side-cart-total {
  background: white
}

.side-cart .item-name {
  display: flex;
  align-items: center;
  gap: 10px
}

.item-name .sitelink {
  cursor: pointer;
}

.side-cart .cart-item p, .side-cart-total p:first-child {
  font: 400 14px/1em Poppins
}

.side-cart .price {
  font-weight: 700;
  font-size: 14px
}

.item-details {
  margin: 10px 0 0 35px;
  position: relative
}

.item-details::before {
  content: '';
  position: absolute;
  top: -5px;
  left: -14px;
  width: 1px;
  height: 14px;
  background: #BFBFBF
}

.item-details::after {
  content: '';
  position: absolute;
  top: 9px;
  left: -14px;
  width: 6px;
  height: 1px;
  background: #BFBFBF
}

.side-cart .detail-line-1 {
  display: flex;
  align-items: center;
  gap: 5px
}

.side-cart .item-details p {
  color: #808080;
  font: 400 12px/1.5em Poppins
}

.toggle-side-cart {
  right: 0;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px
}

.wrapper-empty {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 16px
}

.wrapper-empty img {
  width: 64px;
  margin-top: 80px
}

.wrapper-empty .container {
  text-align: center;
  border-radius: 10px;
  padding: 16px
}

.wrapper-empty .container p {
  font-size: 20px
}

.cart-page .form-control.error {
  border: 1px solid red;
  animation: error-animation .9s ease;
  background: hsla(0, 100%, 50%, .1)
}

.row.tab-first-sec.main_cart_content_div.error {
  border: 1px solid hsla(0, 100%, 50%, .5)
}

@keyframes error-animation {
  0% {
    box-shadow: 0px 0px 1px 0 red
  }

  100% {
    box-shadow: 0px 0px 50px 0 white
  }
}

/* CSS for loader  */

.cart-loader {
  width: 100%;
  height: 340px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center
}

.cart-loader .lds-facebook {
  display: inline-block;
  width: 80px;
  height: 80px;
}

/* Remaining CSS for loader is coming from app.css  */

/* Loader end  */  